Search Transactions

Endpoint to find Transactions using filtering parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Required scopes:
  • transaction_read
Fingerprint order:
  • type,publicId,customReferenceId,groupId,fromDate,toDate,dateType,category,status,tagId,metadataId,text,expenseType,expenseStatus,requiredInformation,token
Query Params
string
enum

The resource type to be used together with the ID.

Allowed:
boolean

Whether or not a TransactionAttachment has to be present.

string

The ID of the type resource.

string

The custom reference ID of the cardholder.

date-time

The beginning of the period of the search fromDate included (i.e. greater than or equal to) (Formats: yyyy-MM-dd, yyyy-MM-ddThh:mm:ss, yyyy-MM-ddThh:mm:ssZ).

date-time

The end of the period of the search toDate included (i.e. less than) (Formats: yyyy-MM-dd, yyyy-MM-ddThh:mm:ss, yyyy-MM-ddThh:mm:ssZ).

string
enum
Defaults to TRANSACTION

It determines the date to be considered for fromDate and toDate parameters.

Allowed:
string

The ID of the Group to search Transactions by.

category
array of objects

The category to search Transactions by. Multiple categories can be included.

category
status
array of objects

The status to search Transactions by. Multiple statuses can be included.

status
paymentMethod
array of objects, unique

The payment method to search Transactions by. Multiple payment methods can be included. OUT_OF_PLATFORM_COMPANY and OUT_OF_PLATFORM_PERSONAL are not included by default.

string

The ID of the Tag to search Transactions by.

string
deprecated

The ID of the custom generated Metadata of the Transaction.

string

A simple text to search in the Transaction data (merchant, merchant category, user notes, tag, list, masked pan, card name, tx amount, vehicle plate, vehicle description).

expenseType
array of objects

The type of the expense to search Transactions by.

expenseType
Allowed:
expenseStatus
array of objects

The status of the expense to search Transactions by.

expenseStatus
Allowed:
expenseCategoryId
array of strings, unique

The ID of the ExpenseCategory of the Transactions. Multiple ExpenseCategories can be included.

expenseCategoryId
expenseReportId
array of strings

The ID of the ExpenseReport of the Transactions. Multiple ExpenseReports can be included.

expenseReportId
string
enum

The export status of the expense to search Transactions by.

Allowed:
taxRateId
array of strings

The ID of the VATRate to search Transactions by. Multiple VATRates can be included.

taxRateId
businessTripId
array of strings

The ID of the BusinessTrip to search Transactions by. Multiple BusinessTrips can be included.

businessTripId
string
enum

Whether to search Transactions with or without required information. A transaction is COMPLETE when all details marked as mandatory in the Reminders section have been filled in for the transaction.

Allowed:
boolean

Whether or not a Transaction has to be split.

string

A product that exported list of Transaction.

boolean

Whether or not a TransactionCustomExport has to be present.

int32
Defaults to 0

It indicates the specific page to display (the counter starts from zero).

int32
≤ 50
Defaults to 0

It indicates the number of items per page.

string
enum

It indicates how the pages are ordered.

Allowed:
props
array of strings

It indicates the sorting direction applied to the above parameters. To apply a sorting on multiple parameters, set as many times the props parameter in the request.

props
Headers
string
required
Defaults to {{fingerprint}}

Advanced authentication: SHA512SUM of the fingerprint values listed in the fingerprint order for this endpoint.

string
required
Defaults to {{fingerprint_signature}}

Advanced authentication: Signature of the X-Soldo-Fingerprint.

Responses

400

Your request has missing arguments or is malformed.

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json